(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     42716,       1065]
NotebookOptionsPosition[     42313,       1045]
NotebookOutlinePosition[     42669,       1061]
CellTagsIndexPosition[     42626,       1058]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:6771\:5927\:7406\:7cfb\:ff12\:ff10\:ff11\:ff13\:7b2c\:ff16\:554f\:ff08\
\:ff11\:ff09", "Section",
 CellChangeTimes->{{3.63433197724784*^9, 3.634332000304492*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                 ", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "5"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"-", "5"}], ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"2", ",", "0", ",", "0"}], "}"}], "*", "1.05"}]}], "]"}], 
        ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<y\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "2", ",", "0"}], "}"}], "*", "1.05"}]}], "]"}], 
        ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<z\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "2"}], "}"}], "*", "1.05"}]}], "]"}], 
        ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.1", ",", "0.1", ",", "0.1"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}], "*", "1.1"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<B\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", "1", ",", "0"}], "}"}], "*", "1.1"}]}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<C\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}], ",", "0"}], "}"}], "*", "1.1"}]}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<D\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", 
             RowBox[{"-", "1"}], ",", "0"}], "}"}], "*", "1.1"}]}], 
         "\[IndentingNewLine]", "]"}], ","}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      SubscriptBox["V", 
       RowBox[{"2", " "}]], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"-", 
              RowBox[{"Sin", "[", 
               RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
            {
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {"0", "0", "1"}
           }], ")"}], ".", 
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
            {"0", "1", "0"},
            {
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}
           }], ")"}], ".", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            SqrtBox["2"], "-", "t"}], ",", "0"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", 
          RowBox[{"-", "0.01"}], ",", "\[Theta]2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          SqrtBox["2"]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", 
             SubscriptBox["V", 
              RowBox[{"2", " "}]]}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"-", 
              RowBox[{"Sin", "[", 
               RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
            {
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {"0", "0", "1"}
           }], ")"}], ".", 
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
            {"0", "1", "0"},
            {
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}
           }], ")"}], ".", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"-", 
             SqrtBox["2"]}], "+", "t"}], ",", "0"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", 
          RowBox[{"-", "0.01"}], ",", "\[Theta]2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          SqrtBox["2"]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", 
             SubscriptBox["V", 
              RowBox[{"2", " "}]]}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", 
         RowBox[{"0.3", "*", 
          SubscriptBox["V", 
           RowBox[{"2", " "}]]}], "]"}], ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
               {
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]2", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{
              SqrtBox["2"], ",", "0", ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
               {
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]2", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              SqrtBox["2"], ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
               {
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]2", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               SqrtBox["2"]}], ",", "0", ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], "0"},
               {
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]2", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]2", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]2", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", 
               SqrtBox["2"]}], ",", "0"}], "}"}]}]}], "}"}], "]"}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", "y", ",", "z"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Opacity", "[", 
           RowBox[{"0.3", "*", 
            SubscriptBox["V", 
             RowBox[{"2", " "}]]}], "]"}]}], "}"}]}], ",", 
       RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      SubscriptBox["V", 
       RowBox[{"1", " "}]], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {
             RowBox[{"-", 
              RowBox[{"Sin", "[", 
               RowBox[{"Pi", "/", "4"}], "]"}]}], 
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {"0", "0", "1"}
           }], ")"}], ".", 
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
            {"0", "1", "0"},
            {
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}
           }], ")"}], ".", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            SqrtBox["2"], "-", "t"}], ",", "0"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", 
          RowBox[{"-", "0.01"}], ",", "\[Theta]1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          SqrtBox["2"]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", 
             SubscriptBox["V", 
              RowBox[{"1", " "}]]}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], 
             RowBox[{"Sin", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {
             RowBox[{"-", 
              RowBox[{"Sin", "[", 
               RowBox[{"Pi", "/", "4"}], "]"}]}], 
             RowBox[{"Cos", "[", 
              RowBox[{"Pi", "/", "4"}], "]"}], "0"},
            {"0", "0", "1"}
           }], ")"}], ".", 
         RowBox[{"(", GridBox[{
            {
             RowBox[{"Cos", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
            {"0", "1", "0"},
            {
             RowBox[{"Sin", "[", "\[Theta]", "]"}], "0", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}]}
           }], ")"}], ".", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            RowBox[{"-", 
             SqrtBox["2"]}], "+", "t"}], ",", "0"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Theta]", ",", 
          RowBox[{"-", "0.01"}], ",", "\[Theta]1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          SqrtBox["2"]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", 
            RowBox[{"0.3", "*", 
             SubscriptBox["V", "1"]}], "]"}]}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
        RowBox[{"Polygon", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]1", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]1", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{
              SqrtBox["2"], ",", "0", ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]1", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]1", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              SqrtBox["2"], ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]1", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]1", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", 
               SqrtBox["2"]}], ",", "0", ",", "0"}], "}"}]}], ",", 
           RowBox[{
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], 
                RowBox[{"Sin", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {
                RowBox[{"-", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"Pi", "/", "4"}], "]"}]}], 
                RowBox[{"Cos", "[", 
                 RowBox[{"Pi", "/", "4"}], "]"}], "0"},
               {"0", "0", "1"}
              }], ")"}], ".", 
            RowBox[{"(", GridBox[{
               {
                RowBox[{"Cos", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"-", 
                 RowBox[{"Sin", "[", "\[Theta]1", "]"}]}]},
               {"0", "1", "0"},
               {
                RowBox[{"Sin", "[", "\[Theta]1", "]"}], "0", 
                RowBox[{"Cos", "[", "\[Theta]1", "]"}]}
              }], ")"}], ".", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", 
               SqrtBox["2"]}], ",", "0"}], "}"}]}]}], "}"}], "]"}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", "y", ",", "z"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Opacity", "[", 
           RowBox[{"CC", "*", "0.3"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            FractionBox[
             RowBox[{"-", 
              SuperscriptBox["z", "2"]}], 
             RowBox[{"2", 
              RowBox[{"(", 
               RowBox[{"1", "-", "t"}], ")"}]}]], "+", "1"}], ",", "z"}], 
          "}"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", 
           SqrtBox[
            RowBox[{"2", "-", 
             RowBox[{"2", 
              SuperscriptBox["t", "2"]}]}]]}], ",", 
          SqrtBox[
           RowBox[{"2", "-", 
            RowBox[{"2", 
             SuperscriptBox["t", "2"]}]}]]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Thickness", "[", "0.009", "]"}]}], "}"}]}]}], "]"}], 
      "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{
            FractionBox[
             SuperscriptBox["z", "2"], 
             RowBox[{"2", 
              RowBox[{"(", 
               RowBox[{"1", "+", "t"}], ")"}]}]], "-", "1"}], ",", "z"}], 
          "}"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", 
          RowBox[{"-", 
           SqrtBox[
            RowBox[{"2", "-", 
             RowBox[{"2", 
              SuperscriptBox["t", "2"]}]}]]}], ",", 
          SqrtBox[
           RowBox[{"2", "-", 
            RowBox[{"2", 
             SuperscriptBox["t", "2"]}]}]]}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Thickness", "[", "0.009", "]"}]}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Boxed", "->", "False"}], ",", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "\[IndentingNewLine]", 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]1", ",", "0", ",", " ", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]2", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "0.9999"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.9999"}], ",", 
       RowBox[{"-", "0.8"}], ",", 
       RowBox[{"-", "0.6"}], ",", 
       RowBox[{"-", "0.4"}], ",", 
       RowBox[{"-", "0.2"}], ",", "0", ",", "0.2", ",", "0.4", ",", "0.6", 
       ",", "0.8", ",", 
       RowBox[{"1", "-", "0.0001"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["V", 
        RowBox[{"1", " "}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["V", 
        RowBox[{"2", " "}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"CC", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"FrameMargins", "\[Rule]", "0"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.629670270926195*^9, 3.629670282984841*^9}, {
   3.6296703583638754`*^9, 3.6296704891369987`*^9}, {3.6296705842333794`*^9, 
   3.62967062395047*^9}, {3.6296719957738667`*^9, 3.629672089605461*^9}, {
   3.629672172064946*^9, 3.62967234932366*^9}, {3.629672383471403*^9, 
   3.629672388244911*^9}, 3.6296724271817627`*^9, {3.629672473856065*^9, 
   3.6296725684058466`*^9}, {3.6296725995117874`*^9, 3.629672679741559*^9}, {
   3.6296727282101374`*^9, 3.629672821465742*^9}, {3.629673005122187*^9, 
   3.6296730237015495`*^9}, {3.629673075165289*^9, 3.6296730775520587`*^9}, {
   3.629673146549974*^9, 3.6296732640476675`*^9}, {3.6296734076438265`*^9, 
   3.6296734866193805`*^9}, {3.6296736927963877`*^9, 
   3.6296737641294127`*^9}, {3.629673799383605*^9, 3.6296738194285765`*^9}, {
   3.6296738592845325`*^9, 3.629673943442217*^9}, {3.629673973829458*^9, 
   3.629674015042545*^9}, {3.6296746909304714`*^9, 3.6296747869160414`*^9}, {
   3.6296748933534765`*^9, 3.6296750526118345`*^9}, {3.6296751005344205`*^9, 
   3.629675113763051*^9}, {3.6296751461638355`*^9, 3.629675391174294*^9}, {
   3.6296754254782543`*^9, 3.62967552991506*^9}, {3.629675620354004*^9, 
   3.629675764591484*^9}, {3.6297592128363867`*^9, 3.62975931242551*^9}, {
   3.6297593443115015`*^9, 3.629759438144298*^9}, {3.629759469577895*^9, 
   3.6297595419297676`*^9}, {3.629759580242876*^9, 3.6297599456525917`*^9}, {
   3.6297600354918394`*^9, 3.629760036396628*^9}, {3.6297601777228165`*^9, 
   3.62976023594127*^9}, {3.629760362939242*^9, 3.6297603946848345`*^9}, {
   3.629760425556839*^9, 3.629760508532175*^9}, {3.6297674241518836`*^9, 
   3.6297674277866373`*^9}, {3.6297674634945793`*^9, 3.62976764672983*^9}, {
   3.6297677408746233`*^9, 3.629767813351294*^9}, 3.6297678770296774`*^9, {
   3.6297679106628466`*^9, 3.62976791740196*^9}, {3.6297680021088743`*^9, 
   3.6297680838830256`*^9}, {3.629768114115438*^9, 3.629768304666995*^9}, {
   3.629768366364204*^9, 3.629768467684905*^9}, {3.629768503486446*^9, 
   3.6297685985204277`*^9}, {3.6297687215560503`*^9, 
   3.6297687890719843`*^9}, {3.629768850722394*^9, 3.6297689276762075`*^9}, {
   3.62976896101298*^9, 3.629769003772032*^9}, {3.629769055703766*^9, 
   3.6297690578565383`*^9}, {3.629769105623126*^9, 3.6297691274940453`*^9}, {
   3.629769207131025*^9, 3.629769331211834*^9}, {3.6297693683081584`*^9, 
   3.6297696721142635`*^9}, {3.629769777444113*^9, 3.6297698088309107`*^9}, {
   3.6297701410130515`*^9, 3.629770145739791*^9}, {3.6297701921959953`*^9, 
   3.6297702406957736`*^9}, {3.6297702963246603`*^9, 
   3.6297703053725443`*^9}, {3.6297703407840905`*^9, 3.629770654121673*^9}, {
   3.6297706844788837`*^9, 3.6297707968598433`*^9}, {3.6297708502891583`*^9, 
   3.62977088446832*^9}, {3.6297709839794445`*^9, 3.629770987130604*^9}, 
   3.6321815328616357`*^9, {3.632181627379612*^9, 3.6321816459587355`*^9}, {
   3.6321816902771997`*^9, 3.632181970959423*^9}, {3.6321820196139517`*^9, 
   3.6321820284900103`*^9}, {3.6321821032735343`*^9, 3.632182126298606*^9}, {
   3.632182354662614*^9, 3.632182469226811*^9}, {3.6322030553560925`*^9, 
   3.6322031678611293`*^9}, {3.6322033252465024`*^9, 3.632203327087267*^9}, {
   3.632203357678279*^9, 3.632203391826022*^9}, {3.6322035015387125`*^9, 
   3.6322036007840033`*^9}, {3.6322036459295354`*^9, 
   3.6322038810326138`*^9}, {3.6322039300624714`*^9, 
   3.6322040149716387`*^9}, {3.632266193135128*^9, 3.632266203977147*^9}, {
   3.6322662387340083`*^9, 3.6322662863920918`*^9}, {3.632266416964321*^9, 
   3.632266474060422*^9}, {3.6324602529172225`*^9, 3.6324602930081944`*^9}, {
   3.6324603686194553`*^9, 3.632460483589185*^9}, {3.6324606189642496`*^9, 
   3.6324606759503193`*^9}, {3.632460723529709*^9, 3.6324607254484844`*^9}, {
   3.632460795850382*^9, 3.632460796068779*^9}, {3.632460838812231*^9, 
   3.632460868124255*^9}, {3.6324609376681633`*^9, 3.6324609722061205`*^9}, {
   3.6324611063800006`*^9, 3.6324612226141105`*^9}, {3.6324613557824497`*^9, 
   3.632461370211155*^9}, {3.632461474004239*^9, 3.6324616773690643`*^9}, {
   3.632461767533596*^9, 3.6324617835697794`*^9}, {3.6325126482673635`*^9, 
   3.6325126943564987`*^9}, {3.6325127289974356`*^9, 3.632512868231855*^9}, {
   3.6325129433477383`*^9, 3.632513104390782*^9}, {3.6325131619819207`*^9, 
   3.6325131633390245`*^9}, {3.632525510891653*^9, 3.6325255185031843`*^9}, {
   3.63252559513321*^9, 3.632525721752904*^9}, {3.632724038014003*^9, 
   3.632724069638561*^9}, 3.6336655331212196`*^9, 3.6336656273895674`*^9, {
   3.6336676729768915`*^9, 3.633667895319416*^9}, {3.633667938104992*^9, 
   3.633667938307788*^9}, {3.6336680228113623`*^9, 3.6336681441770287`*^9}, {
   3.6336692416556435`*^9, 3.6336692456177635`*^9}, {3.633669857335395*^9, 
   3.633669874479356*^9}, 3.633669925271653*^9, {3.6336700251714916`*^9, 
   3.6336700286034036`*^9}, {3.633670093591337*^9, 3.6336701980150595`*^9}, {
   3.633670281286143*^9, 3.6336702889455957`*^9}, {3.6336705294529696`*^9, 
   3.6336705851906977`*^9}, {3.633671681361513*^9, 3.6336716933888817`*^9}, {
   3.6337232046178226`*^9, 3.633723297765587*^9}, {3.633730874308894*^9, 
   3.633730903917746*^9}, {3.6339866918484745`*^9, 3.6339867119717*^9}, {
   3.63432628350301*^9, 3.634326364745206*^9}, {3.634326436190916*^9, 
   3.6343265411299133`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`CC$$ = 
    1, $CellContext`t$$ = -0.4, $CellContext`\[Theta]1$$ = 
    6.283185307179586, $CellContext`\[Theta]2$$ = 0, $CellContext`$26$$ = 
    1, $CellContext`$27$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Theta]1$$], 0, 2 Pi}, {
      Hold[$CellContext`\[Theta]2$$], 0, 2 Pi}, {{
       Hold[$CellContext`t$$], -0.9999}, {-0.9999, -0.8, -0.6, -0.4, -0.2, 0, 
       0.2, 0.4, 0.6, 0.8, 0.9999}}, {{
       Hold[$CellContext`$26$$], 0, 
       RawBoxes[
        SubscriptBox["V", "1"]]}, {0, 1}}, {{
       Hold[$CellContext`$27$$], 0, 
       RawBoxes[
        SubscriptBox["V", "2"]]}, {0, 1}}, {{
       Hold[$CellContext`CC$$], 0}, {0, 1}}}, Typeset`size$$ = {
    576., {317., 321.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Theta]1$37908$$ = 
    0, $CellContext`\[Theta]2$37909$$ = 0, $CellContext`t$37910$$ = 
    0, $CellContext`$26$37911$$ = False, $CellContext`$27$37912$$ = 
    False, $CellContext`CC$37913$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`CC$$ = 
        0, $CellContext`t$$ = -0.9999, $CellContext`\[Theta]1$$ = 
        0, $CellContext`\[Theta]2$$ = 0, $CellContext`$26$$ = 
        0, $CellContext`$27$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]1$$, $CellContext`\[Theta]1$37908$$, 0], 
        Hold[$CellContext`\[Theta]2$$, $CellContext`\[Theta]2$37909$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$37910$$, 0], 
        Hold[$CellContext`$26$$, $CellContext`$26$37911$$, False], 
        Hold[$CellContext`$27$$, $CellContext`$27$37912$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$37913$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics3D[{Arrowheads -> Large, 
          Thickness[0.009], {Blue, 
           Arrow[{{0, 0, -5}, {0, 0, 2}}], 
           Arrow[{{0, -5, 0}, {0, 2, 0}}], 
           Arrow[{{-5, 0, 0}, {2, 0, 0}}]}, 
          Text[
           Style["x", Large], {2, 0, 0} 1.05], 
          Text[
           Style["y", Large], {0, 2, 0} 1.05], 
          Text[
           Style["z", Large], {0, 0, 2} 1.05], 
          Text[
           Style["O", Large], {0.1, 0.1, 0.1}], 
          Text[
           Style["A", Large], {-1, 1, 0} 1.1], 
          Text[
           Style["B", Large], {1, 1, 0} 1.1], 
          Text[
           Style["C", Large], {1, -1, 0} 1.1], 
          Text[
           Style["D", Large], {-1, -1, 0} 1.1], Null}], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], -Sin[Pi/4], 0}, {
             Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, 
            2^Rational[1, 2] - $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]2$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Green, 
            Opacity[0.3 $CellContext`$27$$]}, Mesh -> None]], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], -Sin[Pi/4], 0}, {
             Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, -2^
              Rational[1, 2] + $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]2$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Green, 
            Opacity[0.3 $CellContext`$27$$]}, Mesh -> None]], 
        Graphics3D[{
          Opacity[0.3 $CellContext`$27$$], 
          Polygon[{
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {0, 2^Rational[1, 2], 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {-2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], -Sin[Pi/4], 0}, {
               Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]2$$], 0, -
               Sin[$CellContext`\[Theta]2$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]2$$], 0, 
               Cos[$CellContext`\[Theta]2$$]}}, {
             0, -2^Rational[1, 2], 0}]}]}], 
        ParametricPlot3D[{$CellContext`t$$, $CellContext`y, $CellContext`z}, \
{$CellContext`y, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Green, 
           Opacity[0.3 $CellContext`$27$$]}, Mesh -> None], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], 
             Sin[Pi/4], 0}, {-Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, 
            2^Rational[1, 2] - $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]1$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Yellow, 
            Opacity[0.3 $CellContext`$26$$]}, Mesh -> None]], 
        Graphics[
         ParametricPlot3D[
          Dot[{{
             Cos[Pi/4], 
             Sin[Pi/4], 0}, {-Sin[Pi/4], 
             Cos[Pi/4], 0}, {0, 0, 1}}, {{
             Cos[$CellContext`\[Theta]], 0, -Sin[$CellContext`\[Theta]]}, {0, 
            1, 0}, {
             Sin[$CellContext`\[Theta]], 0, 
             
             Cos[$CellContext`\[Theta]]}}, {$CellContext`t$$, -2^
              Rational[1, 2] + $CellContext`t$$, 
            0}], {$CellContext`\[Theta], -0.01, $CellContext`\[Theta]1$$}, \
{$CellContext`t$$, 0, 2^Rational[1, 2]}, PlotStyle -> {Yellow, 
            Opacity[0.3 $CellContext`$26$$]}, Mesh -> None]], 
        Graphics3D[{
          Opacity[0.3], 
          Polygon[{
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {0, 2^Rational[1, 2], 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {-2^Rational[1, 2], 0, 0}], 
            Dot[{{
               Cos[Pi/4], 
               Sin[Pi/4], 0}, {-Sin[Pi/4], 
               Cos[Pi/4], 0}, {0, 0, 1}}, {{
               Cos[$CellContext`\[Theta]1$$], 0, -
               Sin[$CellContext`\[Theta]1$$]}, {0, 1, 0}, {
               Sin[$CellContext`\[Theta]1$$], 0, 
               Cos[$CellContext`\[Theta]1$$]}}, {
             0, -2^Rational[1, 2], 0}]}]}], 
        ParametricPlot3D[{$CellContext`t$$, $CellContext`y, $CellContext`z}, \
{$CellContext`y, -5, 5}, {$CellContext`z, -5, 5}, PlotStyle -> {Green, 
           Opacity[$CellContext`CC$$ 0.3]}, Mesh -> None], 
        Graphics[
         ParametricPlot3D[{{$CellContext`t$$, -$CellContext`z^2/(
             2 (1 - $CellContext`t$$)) + 
            1, $CellContext`z}}, {$CellContext`z, -(2 - 2 $CellContext`t$$^2)^
            Rational[1, 2], (2 - 2 $CellContext`t$$^2)^Rational[1, 2]}, 
          PlotStyle -> {Red, 
            Thickness[0.009]}]], 
        Graphics[
         ParametricPlot3D[{{$CellContext`t$$, $CellContext`z^2/(
             2 (1 + $CellContext`t$$)) - 
            1, $CellContext`z}}, {$CellContext`z, -(2 - 2 $CellContext`t$$^2)^
            Rational[1, 2], (2 - 2 $CellContext`t$$^2)^Rational[1, 2]}, 
          PlotStyle -> Thickness[0.009]]], 
        PlotRange -> {{-2, 2}, {-2, 2}, {-2, 2}}, BoxRatios -> Automatic, 
        Boxed -> False, Axes -> False, ImageSize -> Large], 
      "Specifications" :> {{$CellContext`\[Theta]1$$, 0, 2 
         Pi}, {$CellContext`\[Theta]2$$, 0, 2 
         Pi}, {{$CellContext`t$$, -0.9999}, {-0.9999, -0.8, -0.6, -0.4, -0.2, 
          0, 0.2, 0.4, 0.6, 0.8, 0.9999}}, {{$CellContext`$26$$, 0, 
          RawBoxes[
           SubscriptBox["V", "1"]]}, {0, 1}}, {{$CellContext`$27$$, 0, 
          RawBoxes[
           SubscriptBox["V", "2"]]}, {0, 1}}, {{$CellContext`CC$$, 0}, {0, 
         1}}}, "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{843., {337., 344.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.63433184726915*^9}]
}, {2}]]
}, Open  ]]
},
WindowSize->{1366, 685},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 206, 3, 74, "Section"],
Cell[CellGroupData[{
Cell[811, 29, 30556, 775, 1134, "Input"],
Cell[31370, 806, 10918, 235, 731, "Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
